Name:           xdemorse
Version:        1.3
Release:        4%{?dist}
Summary:        GTK based application for decoding and displaying Morse code signals

Group:          Applications/Communications
License:        GPLv2+
URL:            http://5b4az.chronos.org.uk/pages/morse.html
Source0:        http://5b4az.chronos.org.uk/pkg/morse/%{name}/%{name}-%{version}.tar.gz
#add .desktop file
Source1:        %{name}.desktop
#temporary Icon
Source2:        %{name}.png
#Wrapper script for user config
Source3:        xdemorse.sh.in
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  autoconf, automake, gtk2-devel, desktop-file-utils
#Requires:       

%description
xdemorse is a GTK+ graphical version of demorse, using the same
decoding engine as demorse. 

It has an FFT-derived "waterfall" display of the incoming audio signal's
spectrum, as well as a 'scope-like display of the audio detector's output
and status of the mark/space discriminator ("slicer"). xdemorse also has
CAT for the FT-847 and this can be used to net the receiver's frequency
to the incoming signal, by clicking near its trace in the waterfall display.

%prep
%setup -qn %{name}


%build
./autogen.sh
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

#install default user configuration file
install -p -D -m 0644 $RPM_BUILD_DIR/%{name}/default/.xdemorserc $RPM_BUILD_ROOT%{_datadir}/%{name}/xdemorserc

#move original binary to libexecdir
mkdir -p $RPM_BUILD_ROOT%{_libexecdir}/
mv $RPM_BUILD_ROOT%{_bindir}/%{name} $RPM_BUILD_ROOT%{_libexecdir}/%{name}-bin

#install wrapper script 
install -p -D -m 0755 %{SOURCE3} $RPM_BUILD_ROOT%{_bindir}/xdemorse

# no upstream .desktop or icon yet
mkdir -p ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png
desktop-file-install \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog README doc/Morsecode.txt doc/xdemorse.html
%{_bindir}/*
%{_libexecdir}/*
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*%{name}.desktop

%changelog
* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Lucian Langa <cooly@gnome.eu.org> - 1.3-3
- upstream modified current release source

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Dec 15 2008 Lucian Langa <cooly@gnome.eu.org> - 1.3-1
- misc cleanups
- fix desktop file
- new upstream release

* Sat Aug 23 2008 Lucian Langa <cooly@gnome.eu.org> - 1.2-2
- fix for #458818

* Sat Aug 02 2008 Lucian Langa <cooly@gnome.eu.org> - 1.2-1
- update to 1.2 release

* Wed Jul 16 2008 Lucian Langa <cooly@gnome.eu.org> - 0.9-4
- Add missing doc

* Sun Mar 02 2008 Sindre Pedersen Bjordal <sindrepb@fedoraproject.org> - 0.9-3
- Add wrapper script to ensure required user configuration is present

* Sat Mar 01 2008 Robert 'Bob' Jensen <bob@bobjensen.com> - 0.9-2
- Add .desktop and icon
- Submit for review

* Sat Mar 01 2008 Robert 'Bob' Jensen <bob@bobjensen.com> - 0.9-1
- Upstream Version Bump

* Mon Dec 10 2007 Sindre Pedersen Bjørdal - 0.8-1
- Initial build
